CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM (http://www.cfd-online.com/Forums/openfoam/)
-   -   Critical errors during OpenFoam installation in OpenSuse 11.0 (http://www.cfd-online.com/Forums/openfoam/63874-critical-errors-during-openfoam-installation-opensuse-11-0-a.html)

amscosta April 22, 2009 10:51

Critical errors during OpenFoam installation in OpenSuse 11.0
 
Dear Group,
I am trying to install OpenFOAM in a OpenSuse 11.1 system pc.
However I am getting the following :
Executing /home/amscosta/OpenFOAM/OpenFOAM-1.5/bin/foamInstallationTest:


Checking basic setup...
-------------------------------------------------------------------------------
Shell: bash
Host: pcu-95588
OS: Linux version 2.6.27.7-9-default
-------------------------------------------------------------------------------


Checking main OpenFOAM env variables...
-------------------------------------------------------------------------------
Environment_variable Set_to_file_or_directory Valid Crit
-------------------------------------------------------------------------------
$WM_PROJECT_INST_DIR /home/amscosta/OpenFOAM yes yes
$WM_PROJECT_USER_DIR /home/amscosta/OpenFOAM/amscosta-1.5 yes no
$WM_THIRD_PARTY_DIR /home/amscosta/OpenFOAM/ThirdParty yes yes
-------------------------------------------------------------------------------


Checking the OpenFOAM env variables set on the PATH...
-------------------------------------------------------------------------------
Environment_variable Set_to_file_or_directory Valid Path Crit
-------------------------------------------------------------------------------
$WM_PROJECT_DIR /home/amscosta/OpenFOAM/OpenFOAM-1.5 yes yes yes

$FOAM_APPBIN ...1.5/applications/bin/linux64GccDPOpt yes yes yes
$FOAM_USER_APPBIN ...1.5/applications/bin/linux64GccDPOpt yes yes no
$WM_DIR ...amscosta/OpenFOAM/OpenFOAM-1.5/wmake yes yes yes
-------------------------------------------------------------------------------


Checking the OpenFOAM env variables set on the LD_LIBRARY_PATH...
-------------------------------------------------------------------------------
Environment_variable Set_to_file_or_directory Valid Path Crit
-------------------------------------------------------------------------------
$FOAM_LIBBIN ...OAM/OpenFOAM-1.5/lib/linux64GccDPOpt yes yes yes
$FOAM_USER_LIBBIN ...OAM/amscosta-1.5/lib/linux64GccDPOpt yes yes no
$MPI_ARCH_PATH ...nmpi-1.2.6/platforms/linux64GccDPOpt yes yes yes
-------------------------------------------------------------------------------


Third party software
-------------------------------------------------------------------------------
Software Version Location
-------------------------------------------------------------------------------
WARNING: gcc version does not match gcc supplied with this release of OpenFOAM
Supplied version: 4.3.1
User version : ../configure
4.3.2
Minimum required: 4.2.0

gcc ...figure
WARNING: Conflicting installations:
OpenFOAM settings : /home/amscosta/OpenFOAM/ThirdParty/gcc-4.3.1/platforms/linux64/bin/gcc
current path : /usr/bin/gcc
CRITICAL ERROR

gzip 1.3.12 /usr/bin/gzip
tar 1.20 /bin/tar
icoFoam
WARNING: Conflicting installations:
OpenFOAM settings : /home/amscosta/OpenFOAM/OpenFOAM-1.5/applications/bin/linux64GccDPOpt/icoFoam
current path :
CRITICAL ERROR

-------------------------------------------------------------------------------


Checking networking...
-------------------------------------------------------------------------------
Action Result Crit
-------------------------------------------------------------------------------
Pinging_pcu-95588 Successful yes
Pinging_localHost Successful yes
Test_rsh: Unsuccessful_connection_refused* yes
Test_ssh: Successful yes
(*) Only one of rsh or ssh is required by the OpenFOAM enviroment.

-------------------------------------------------------------------------------

Base configuration ok.

The foam installation contains 2 critical error(s).

Review the output for warning messages and consult
the installation guide for trouble shooting.

done.


Any guideline is very welcome.
Thanks,
Alex

henrik April 27, 2009 10:40

Dear Alex,

I have a same messages, but OpenFOAM runs nicely on my machine for quite a while. So give it a try.

Henrik

amscosta April 30, 2009 17:08

Reply
 
Hi,
Thanks for the encouragement.
I started the following :
  • cd $HOME/OpenFOAM/$USER-$WM_PROJECT_VERSION/run/tutorials/icoFoam/cavity
  • blockMesh
  • icoFoam
  • paraFoam
However I get a message from the first : blockMesh command not found.
Where they are located ?
Thanks,
Alex

louisgag April 30, 2009 18:00

Hi Alex,

/home/.../OpenFOAM/OpenFOAM-1.5-dev/applications/bin/linux64GccDPOpt/blockMesh


-Louis

amscosta May 1, 2009 09:28

Folder empty
 
Thanks again,
the directory is empty : amscosta@linux-m6bp:~/OpenFOAM/OpenFOAM-1.5/applications/bin/linux64GccDPOpt> ls
amscosta@linux-m6bp:~/OpenFOAM/OpenFOAM-1.5/applications/bin/linux64GccDPOpt>

If I start following another approach what should be the best linux version to
start with OpenFOAM, i.e., with less incompatibility problems ?

Alex

louisgag May 1, 2009 14:06

if the directory is empty it might be due to improperly decompressed files (tar -xvvf filename) or to having the improper version (ie 32 instead of 64 bits)

as for the best version of linux I am clueless as the only one i personally used is ubuntu...

good luck,

-Louis


All times are GMT -4. The time now is 18:59.